package com.galaxis.manatee.controller;

import com.galaxis.manatee.task.ChuanyunHumanResourceScheduledTask;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.net.http.HttpResponse;

/**
 * 提供手工触发更新氚云数据的接口
 * @author zcj
 * @version 0.1
 * @date 2020/6/7 10:26 上午
 */
@RestController
public class GetController {

    private final ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask;

    public GetController(ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask) {
        this.chuanyunHumanResourceScheduledTask = chuanyunHumanResourceScheduledTask;
    }

    /**
     * 手动更新chuanyunPayRoll
     * @return  提示信息
     */
    @GetMapping("/test/getChuanyunPayroll")
    public String getChuanyunPayroll(){
        chuanyunHumanResourceScheduledTask.getPayrollManually();
        return "开始更新薪资数据";
    }
}
